import { reduxWrapper } from '../store'
import numeral from 'numeral';
import '../css/style.css';

const m = Math.random();
numeral.register('locale', `locale_${ m }`, {
	delimiters: {
		thousands: ' ',
		decimal: ','
	},
	abbreviations: {
		thousand: 'k',
		million: 'm',
		billion: 'b',
		trillion: 't'
	},
	currency: {
		symbol: '₽'
	}
});
numeral.locale(`locale_${ m }`);

const WrappedApp = ({ Component, pageProps }) => 
{
	return (
		<Component {...pageProps} />
	)
}

export default reduxWrapper.withRedux(WrappedApp);